pfSense Packages - Bug #14724

Suricata package incorrectly accounts for 24-hour rollover when creating automated rules update
cron task and a 12-hour update interval is selected

08/28/2023 04:44 PM - Bill Meeks

Status: Resolved Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Suricata Estimated time: 0.00 hour

Target version:

Plus Target Version: Affected Plus 23.05.1
Version:
Affected Version: All Affected All

Architecture:

Description

The Suricata package GUI incorrectly adjusts the starting hour for the automated rules update cron task when the user selects a
12-hour update interval and chooses either midnight or 12:00 noon as one of the two start times. Instead of rolling over any hours
value greater than 23 to 00, it instead writes a start time of 24 for the hours value in crontab.

This same bug was documented in the Snort package here:
https://forum.netgate.com/topic/182480/snort-rule-update-settings-time-has-a-bug-with-the-cron-job. Because Suricata and Snort
share much of the same PHP code, the bug is also present in Suricata. | will submit a fix for this.

History

#1 - 08/28/2023 05:13 PM - Bill Meeks

Pull Request 1289 (https://github.com/pfsense/FreeBSD-ports/pull/1289) has been submitted to correct this issue. This ticket can be marked
"Resolved" when the pull request is merged.

#2 - 08/30/2023 12:49 PM - Jim Pingle

- Status changed from New to Resolved

PR merged, thanks!
